%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
function ht = ellipse(w,k);                        %
%Solves the equation                               %
%[x(1) x(2)]*w*[x(1) x(2)]=k                       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

qw=(4*k*w(2,2))/((4*w(2,2)*w(1,1))-((w(1,2)+w(2,1))^2));
qw=sqrt(qw);
ht(:,1)=[-qw:qw/100:qw]'; %range for x(1)
for j=1:size(ht,1);
a=w(2,2); b=ht(j,1)*(w(1,2)+w(2,1)); 
c=(w(1,1)*(ht(j,1)^2))-k;   
p=real(sqrt((b^2)-(4*a*c)));
ht(j,2)=(-b-p)/(2*a);
ht(j,3)=(-b+p)/(2*a);
end;
ht=[ht(:,1) ht(:,2); flipud(ht(:,1)) flipud(ht(:,3))];