proc (1)=fmins(&funfcn,xx);
local funfcn:proc;
local f,xy,cnt,v,j,y,ff,alpha,beta,test,gama;
local maxits,tol,nprm,np1,vbar,fr,vr,k,vk,fk,vt,ft,ve,fe,vc,fc;
nprm=rows(xx); maxits=1000; tol=0.0001;
@ Set up a simplex near the initial guess.  @
v = 0.9*xx;
f = funfcn(v);
j=1;
do while j<nprm+1;
y = xx;
if y[j] == 0;
y[j] = 0.1;
else;
y[j] = 1.1*y[j];
endif;
v=v~y;
f=f|funfcn(y);
j=j+1;
endo;
ff=sortc(f~seqa(1,1,nprm+1),1);
f=ff[.,1]; j=ff[.,2];
v = v[.,j];
cnt=0;
do while cnt<maxits+1;
test = 0;
j=1; do while j<nprm+2;
if sumc(abs(v[.,j]-v[.,1]))>test;
test=sumc(abs(v[.,j]-v[.,1])); endif;
j=j+1; endo;
if test <= tol; break; endif;
if cnt==maxits; v[.,1]=miss(0,0).*.ones(nprm,1); break; endif;
alpha = 1;  beta = 1/2;  gama = 2;
np1=nprm+1;
vbar = meanc(v[.,1:nprm]');
vr = (1 + alpha)*vbar - alpha*v[.,nprm+1]; fr = funfcn(vr);
vk = vr;  fk = fr;
if fr < f[nprm];
 if fr < f[1];
 ve = gama*vr + (1-gama)*vbar; fe = funfcn(ve);
  if fe < f[1];
  vk = ve; fk = fe;
  endif;
 endif;
else;
vt = v[.,nprm+1]; ft = f[nprm+1];
 if fr < ft;
 vt = vr;  ft = fr;
 endif;
vc = beta*vt + (1-beta)*vbar; fc = funfcn(vc);
 if fc < f[nprm];
 vk = vc; fk = fc;
 else;
 k=2; do while k<nprm+1;
 v[.,k] = (v[.,1] + v[.,k])/2; f[k] = funfcn(v[.,k]);
 k=k+1; endo;
 vk = (v[.,1] + v[.,nprm+1])/2; fk = funfcn(vk);
 endif;
endif;
v[.,nprm+1] = vk;
f[nprm+1] = fk;
ff=sortc(f~seqa(1,1,nprm+1),1);
f=ff[.,1]; j=ff[.,2];
v = v[.,j];
cnt = cnt + 1;
endo;
xy = v[.,1];
if xy/=miss(0,0); if funfcn(xx)<funfcn(xy); xy=xx; endif; endif;
retp(xy);
endp;
