function crit = ex3liml(param,w,r,zz);
n=length(w);
beta=param(1); gamma=param(2);
eta=(beta*r(3:n)).*(w(3:n).^(-gamma))-1;
gz=kron(eta,ones(1,size(zz,2))).*zz;
phi=mean(gz);
sigs=(eta'*eta)/n;
v=(zz'*zz)*sigs/n;
crit=phi*inv(v)*phi';
